Subject: Re: How do I get rid of unneeded objects?

From: Kevin Daudt <[email-masked]>
Date: Sat, 19 Jan 2019 08:38:08 +0100

On Fri, Jan 18, 2019 at 10:40:55PM +0000, Eric Wong wrote:
> Steve Keller <[email-masked]> wrote:
> >     $ git reflog expire --all
> 
> I've never used "git reflog" directly, but I think you need to
> add "--expire=all" to cover all time.  "--all" is only for all
> branches, so you need "--expire=<time>" is for a time range.
> 
> Fwiw, I use a single command:
> 
> 	git -c gc.reflogExpire=now gc --prune=all

Instead of --expire, you could also use --expire-unreachable, so that
you don't get rid of your entire reflog.